# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v1.1.6](https://github.com/es-shims/Array.prototype.some/compare/v1.1.5...v1.1.6) - 2024-03-19

### Commits

- [Tests] use `call-bind` instead of `function-bind` [`ad68fef`](https://github.com/es-shims/Array.prototype.some/commit/ad68fef212c66bd3b4ce4ce0bb79fdf3acf2a929)
- [actions] remove redundant finisher [`7ecec4a`](https://github.com/es-shims/Array.prototype.some/commit/7ecec4a47cda96a6bb39a0f419f4005345e850f0)
- [Deps] update `call-bind`, `define-properties`, `es-abstract` [`b1cac17`](https://github.com/es-shims/Array.prototype.some/commit/b1cac1737f089877b7012267e219437dd942cb61)
- [Refactor] use `es-object-atoms` where possible [`af1455a`](https://github.com/es-shims/Array.prototype.some/commit/af1455a96d0ac03c57b3dc1c17ddda1c3c1007b7)
- [Dev Deps] update `aud`, `npmignore`, `tape` [`0a65295`](https://github.com/es-shims/Array.prototype.some/commit/0a6529518c1e44313c5b258c413d3d6c518643e6)

## [v1.1.5](https://github.com/es-shims/Array.prototype.some/compare/v1.1.4...v1.1.5) - 2023-09-03

### Commits

- [Deps] update `define-properties`, `es-abstract` [`8a3c49e`](https://github.com/es-shims/Array.prototype.some/commit/8a3c49ec040ac863c45f86b3251a0c4216b72f6f)
- [Dev Deps] update `@es-shims/api`, `@ljharb/eslint-config`, `aud`, `foreach`, `tape` [`256b6cc`](https://github.com/es-shims/Array.prototype.some/commit/256b6cc04783fa8c4cfeefd792fa65a388eeb5ef)

## [v1.1.4](https://github.com/es-shims/Array.prototype.some/compare/v1.1.3...v1.1.4) - 2022-11-04

### Commits

- [actions] reuse common workflows [`1c2731e`](https://github.com/es-shims/Array.prototype.some/commit/1c2731e279acefdaf36e0448312772d9a08f47d9)
- [meta] use `npmignore` to autogenerate an npmignore file [`ccd6022`](https://github.com/es-shims/Array.prototype.some/commit/ccd602272b888b6d74d70d79a03f985b4dfd1ac9)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `safe-publish-latest`, `tape` [`7be6e41`](https://github.com/es-shims/Array.prototype.some/commit/7be6e413b7790ae0b2222cadc0dec5f85425b0eb)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `auto-changelog`, `functions-have-names`, `globalthis`, `tape` [`490694e`](https://github.com/es-shims/Array.prototype.some/commit/490694eae047bc1f9adbae774fc45a577e175baf)
- [Deps] update `define-properties`, `es-abstract` [`2fae76c`](https://github.com/es-shims/Array.prototype.some/commit/2fae76c8649e907cc22366445f045e17072b9d8e)
- [actions] update rebase action to use reusable workflow [`c21e0cd`](https://github.com/es-shims/Array.prototype.some/commit/c21e0cd15d6a48b62aac0bd4ad2ff40c7b5b52e3)
- [actions] update codecov uploader [`c25b834`](https://github.com/es-shims/Array.prototype.some/commit/c25b8346385a54c374e7cb6459f58f2c40cf1e21)
- [Deps] update `es-abstract` [`13de303`](https://github.com/es-shims/Array.prototype.some/commit/13de303003e97a93250b3e6e874d0c0c77b442a4)

## [v1.1.3](https://github.com/es-shims/Array.prototype.some/compare/v1.1.2...v1.1.3) - 2021-10-01

### Commits

- [actions] use `node/install` instead of `node/run`; use `codecov` action [`20c70bf`](https://github.com/es-shims/Array.prototype.some/commit/20c70bf8a5008e1deabceac5a7703aba80d75d0e)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `@es-shims/api`, `aud`, `auto-changelog`, `tape` [`e8b4891`](https://github.com/es-shims/Array.prototype.some/commit/e8b4891ab0491537df20c1faa5697edf930e7d94)
- [readme] fix repo URLs; remove travis badge [`c27ea2b`](https://github.com/es-shims/Array.prototype.some/commit/c27ea2b73230dfd0e9bdb5a9d91dfc6847b05b72)
- [Deps] update `es-abstract`, `is-string` [`f60bf0a`](https://github.com/es-shims/Array.prototype.some/commit/f60bf0a8f77d96c6234b14f0169dc6a80ec734eb)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `functions-have-names`, `has-strict-mode`, `tape` [`c9cb970`](https://github.com/es-shims/Array.prototype.some/commit/c9cb9700e073503010e981fc08905168434b6e84)
- [actions] update workflows [`c2c42ba`](https://github.com/es-shims/Array.prototype.some/commit/c2c42ba385cdb78e585dd79f364d7cb6b7d3e858)
- [readme] add github actions/codecov badges [`76ff37a`](https://github.com/es-shims/Array.prototype.some/commit/76ff37aa74764e3d081e4865067573b61ecde018)
- [Robustness] use `callBind.apply` [`3c76337`](https://github.com/es-shims/Array.prototype.some/commit/3c7633797e7fde64f0f68a4282efdecf4ac65568)
- [Tests] run `nyc` on all tests [`2c3f8f0`](https://github.com/es-shims/Array.prototype.some/commit/2c3f8f0cfd2221852d67f9659fa30d876bdeaabf)
- [Dev Deps] update `eslint`, `tape` [`b23e9e6`](https://github.com/es-shims/Array.prototype.some/commit/b23e9e66c033bdcb809aa022d184d1ed8b1984ca)
- [Deps] update `call-bind`, `es-abstract` [`3c83fa6`](https://github.com/es-shims/Array.prototype.some/commit/3c83fa6bfc36b4351cb36acdfcfcfa50214975a4)
- [Tests] use `globalthis` package [`1d34f59`](https://github.com/es-shims/Array.prototype.some/commit/1d34f594969ad55909b87e218c9ba9fe8f35fb8d)
- [meta] use `prepublishOnly` script for npm 7+ [`864d3fe`](https://github.com/es-shims/Array.prototype.some/commit/864d3fe1862e50ffab561da7e251ad372db7c47e)
- [Deps] update `es-abstract` [`beb949b`](https://github.com/es-shims/Array.prototype.some/commit/beb949b2acbfc232f6ab245c845522142f2bc9a4)
- [meta] remove `audit-level` [`e208227`](https://github.com/es-shims/Array.prototype.some/commit/e2082273aec19916a7ff1e0e02dc3e49abbc418a)

## [v1.1.2](https://github.com/es-shims/Array.prototype.some/compare/v1.1.1...v1.1.2) - 2020-11-18

### Commits

- [meta] remove testling html file [`e9e54a5`](https://github.com/es-shims/Array.prototype.some/commit/e9e54a5b3f1fac8318bef9637c57cb1d135b6f85)
- [Tests] migrate tests to Github Actions [`1ad4109`](https://github.com/es-shims/Array.prototype.some/commit/1ad41095f5e7938ef8c95d3d869caa539c5bb5ad)
- [meta] do not publish github action workflows [`80b712d`](https://github.com/es-shims/Array.prototype.some/commit/80b712d152a3a77e374ffffb2d22990deca52783)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `auto-changelog`, `tape` [`6630cf1`](https://github.com/es-shims/Array.prototype.some/commit/6630cf154fdaaa04c04a03ff25b6f135b25ca8ec)
- [Tests] run `nyc` on all tests [`a659f75`](https://github.com/es-shims/Array.prototype.some/commit/a659f75e80542d486cbbaf6d9bec1def5fa82ed7)
- [Deps] update `es-abstract`; use `call-bind` where applicable [`11a3a7a`](https://github.com/es-shims/Array.prototype.some/commit/11a3a7a2a0c5c6ba82cf88626ead1842326dd6d1)
- [actions] add "Allow Edits" workflow [`bb221b1`](https://github.com/es-shims/Array.prototype.some/commit/bb221b141d4265a45ce42a8161a9379d6d67df30)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `tape`, `functions-have-names` [`549e2e8`](https://github.com/es-shims/Array.prototype.some/commit/549e2e85d9b59bf8fdb93c4fa91656d14ec6c631)
- [Tests] run tests with `tape` runner [`d19ad4c`](https://github.com/es-shims/Array.prototype.some/commit/d19ad4c52c252da909741ceddd10cf9f18318dd3)
- [Tests] run `es-shim-api` postlint [`745a903`](https://github.com/es-shims/Array.prototype.some/commit/745a903ac4a7764fe4609358531f523e8f3ee7e0)
- [Dev Deps] update `auto-changelog`, `tape`; add `aud` [`5cb205f`](https://github.com/es-shims/Array.prototype.some/commit/5cb205f84d094a5c32f205120c2ab1d98807a013)
- [Tests] run `aud` against prod deps only [`b13bbc6`](https://github.com/es-shims/Array.prototype.some/commit/b13bbc65452ddf6000d33fe4ca995b707138396f)
- [actions] switch Automatic Rebase workflow to `pull_request_target` event [`774fb2f`](https://github.com/es-shims/Array.prototype.some/commit/774fb2fd53ab987eceda83bb2114db7f07238fb2)
- [Deps] update `es-abstract` [`4ef8d84`](https://github.com/es-shims/Array.prototype.some/commit/4ef8d84624c7d0ca4015b7c526a0a13ca0e763c2)
- [Deps] update `es-abstract` [`88c2667`](https://github.com/es-shims/Array.prototype.some/commit/88c2667c6ce7bcd3106ddca0272423c9b3041a3e)

## [v1.1.1](https://github.com/es-shims/Array.prototype.some/compare/v1.1.0...v1.1.1) - 2019-12-18

### Commits

- [Refactor] use split-up `es-abstract` (79% bundle size decrease) [`bb054d0`](https://github.com/es-shims/Array.prototype.some/commit/bb054d063a4679971d508182ca61aa973a64db72)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `tape` [`871c869`](https://github.com/es-shims/Array.prototype.some/commit/871c869255b50fb1128db744acef7787f658dc1a)
- [Deps] update `es-abstract`, `is-string` [`581a3db`](https://github.com/es-shims/Array.prototype.some/commit/581a3dba5126ceb5d980d58c132df9fb1ef8eef6)
- [dev deps] remove unused deps [`3a14d16`](https://github.com/es-shims/Array.prototype.some/commit/3a14d164ecd4c2ad6317920562411d05c04a0d51)

## [v1.1.0](https://github.com/es-shims/Array.prototype.some/compare/v1.0.0...v1.1.0) - 2019-11-25

### Commits

- [Tests] use shared travis-ci configs [`0cb3e3e`](https://github.com/es-shims/Array.prototype.some/commit/0cb3e3e66b69b6a1456cbd227e96cf68ef33289c)
- [Tests] up to `node` `v12.6`, `v10.16`, `v9.11`, `v8.16`, `v7.10`, `v6.17`, `v4.9`; use `nvm install-latest-npm` [`4602e79`](https://github.com/es-shims/Array.prototype.some/commit/4602e795be3e45a6a60e14366a26312de33aa439)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `evalmd`, `functions-have-names`, `replace`, `safe-publish-latest`, `semver` [`2c0cb95`](https://github.com/es-shims/Array.prototype.some/commit/2c0cb95e7ed5958cbaaa116cf4e4ffc868545eb4)
- [meta] add `auto-changelog` [`c2c5730`](https://github.com/es-shims/Array.prototype.some/commit/c2c5730282b32e9e6704c70fd6b9d3f1ba2819e2)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `@es-shims/api`, `covert`, `function-bind`, `replace`, `safe-publish-latest`, `semver`, `tape` [`b0703d8`](https://github.com/es-shims/Array.prototype.some/commit/b0703d81a78b31a8df16a270c2e64c8f602b71ab)
- [Tests] add `has-strict-mode` [`64ebc6c`](https://github.com/es-shims/Array.prototype.some/commit/64ebc6cf024c7ae6aae12fc1980c20f7a4f7a838)
- [Tests] up to `node` `v13.0`, `v12.13`, `v10.17` [`37790ce`](https://github.com/es-shims/Array.prototype.some/commit/37790ce4b65e1879c43f23a0af73463f40902b32)
- [meta] move repo to es-shims org [`3657d55`](https://github.com/es-shims/Array.prototype.some/commit/3657d554e2509999a38f1ce69152cdeeb1444520)
- [actions] add automatic rebasing / merge commit blocking [`b8703cb`](https://github.com/es-shims/Array.prototype.some/commit/b8703cb7ddeee48857706a15fdbacf35e222435f)
- [meta] create FUNDING.yml [`84693bf`](https://github.com/es-shims/Array.prototype.some/commit/84693bf8d8966ba904b63ccdac22e36d1782c32f)
- [Deps] update `es-abstract` [`1ced75a`](https://github.com/es-shims/Array.prototype.some/commit/1ced75a66574a2f49fd2b16f060aaee23dbc0b70)
- [Tests] use `npx aud` instead of `nsp` or `npm audit` with hoops [`a30bde5`](https://github.com/es-shims/Array.prototype.some/commit/a30bde5a859ca170f1788f8322885b2617307909)
- Only apps should have lockfiles [`6b9427d`](https://github.com/es-shims/Array.prototype.some/commit/6b9427d03776b18b80d1966891257852f7b5fb94)
- [Dev Deps] update `@ljharb/eslint-config`, `safe-publish-latest` [`9e56349`](https://github.com/es-shims/Array.prototype.some/commit/9e56349ca1eb7962885980349a5d66da0368c9e8)
- [Deps] update `define-properties`, `es-abstract` [`e45c94e`](https://github.com/es-shims/Array.prototype.some/commit/e45c94e7ca307d46a7cf5d649c6c24608eeaaa3a)
- [meta] add `funding` field [`6ef4eaa`](https://github.com/es-shims/Array.prototype.some/commit/6ef4eaa62ce758dce2cd36340ab2dcfa6193119e)
- [Tests] use `functions-have-names` [`f92d774`](https://github.com/es-shims/Array.prototype.some/commit/f92d774eeda81f3de9379c6eed7cbfcf9791d693)
- [New] add `auto` entry point [`cc9a91a`](https://github.com/es-shims/Array.prototype.some/commit/cc9a91ac7b29893f9e83209eb34556a4788429dc)
- [Dev Deps] update `eslint` [`3a7cff8`](https://github.com/es-shims/Array.prototype.some/commit/3a7cff81f34377df20039ca9db38ed2e5711468e)
- [Deps] update `es-abstract` [`d0a07ba`](https://github.com/es-shims/Array.prototype.some/commit/d0a07baaea8adb36b575eac56bb95208e2e40ce0)
- [Tests] temporarily allow coverage tests to fail, due to a bug in covert [`d7f104b`](https://github.com/es-shims/Array.prototype.some/commit/d7f104b01a63499dd36ca998f6d04cf47ea38fde)
- [Docs] remove merge artifact [`d508100`](https://github.com/es-shims/Array.prototype.some/commit/d5081000e11b963e17a50d220bb2318e34e7ecb3)

## v1.0.0 - 2016-11-22

### Commits

- [Tests] Add `npm run testling` and `test.html` [`f281bef`](https://github.com/es-shims/Array.prototype.some/commit/f281bef183c70d14d1d08b58ef69bfe80c7c68ca)
- Tests. [`30cabe1`](https://github.com/es-shims/Array.prototype.some/commit/30cabe167bf77b6782c4029f4504578b3cce0ef6)
- Dotfiles. [`dac5d19`](https://github.com/es-shims/Array.prototype.some/commit/dac5d192cdb4a801ef5d2200303a7e59e3669f19)
- package.json [`e6a0ba8`](https://github.com/es-shims/Array.prototype.some/commit/e6a0ba818acd55416ce3b118aa6934d4c3dcfcaa)
- Implementation. [`b2c3f0f`](https://github.com/es-shims/Array.prototype.some/commit/b2c3f0f01d00f90ebe9b729952b5a497e6bd8d86)
- Read me. [`e42892f`](https://github.com/es-shims/Array.prototype.some/commit/e42892f472ff3c7d1e642212c4ca9a0a528de195)
- Initial commit [`978b696`](https://github.com/es-shims/Array.prototype.some/commit/978b6960c738d65308cc36afffb26e886b4c6923)
- [Dev Deps] add `safe-publish-latest` [`cccc495`](https://github.com/es-shims/Array.prototype.some/commit/cccc495af3456416f780f3a376bd9c4c44cec199)
- [Tests] allow coverage tests to fail, for now. [`bac2605`](https://github.com/es-shims/Array.prototype.some/commit/bac260551042fee3055b9814177d53fd37c4bb8d)
